/* 
 *  Copyright (c) 2008 Texas Instruments and others.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 * 
 *  Contributors:
 *      Texas Instruments - initial implementation
 * 
 * */
/*! @_nodoc */
module ScalarStructs {
	
    /*! @_nodoc */
    struct S_Bits8 {
	Bits8 elem;
    };

    /*! @_nodoc */
    struct S_Bits16 {
	Bits16 elem;
    };

    /*! @_nodoc */
    struct S_Bits32 {
	Bits32 elem;
    };

    /*! @_nodoc */
    struct S_Char {
	Char elem;
    };

    /*! @_nodoc */
    struct S_UChar {
	UChar elem;
    };

    /*! @_nodoc */
    struct S_Double {
	Double elem;
    };

    /*! @_nodoc */
    struct S_Float {
	Float elem;
    };

    /*! @_nodoc */
    struct S_Fxn {
	Fxn elem;
    };

    /*! @_nodoc */
    struct S_IArg {
	IArg elem;
    };

    /*! @_nodoc */
    struct S_UArg {
	UArg elem;
    };

    /*! @_nodoc */
    struct S_Int {
	Int elem;
    };

    /*! @_nodoc */
    struct S_UInt {
	UInt elem;
    };

    /*! @_nodoc */
    struct S_Int8 {
	Int8 elem;
    };

    /*! @_nodoc */
    struct S_UInt8 {
	UInt8 elem;
    };

    /*! @_nodoc */
    struct S_Int16 {
	Int16 elem;
    };

    /*! @_nodoc */
    struct S_UInt16 {
	UInt16 elem;
    };

    /*! @_nodoc */
    struct S_Int32 {
	Int32 elem;
    };

    /*! @_nodoc */
    struct S_UInt32 {
	UInt32 elem;
    };

    /*! @_nodoc */
    struct S_Long {
	Long elem;
    };

    /*! @_nodoc */
    struct S_ULong {
	ULong elem;
    };

    /*! @_nodoc */
    struct S_LLong {
	LLong elem;
    };

    /*! @_nodoc */
    struct S_ULLong {
	ULLong elem;
    };

    /*! @_nodoc */
    struct S_LDouble {
	LDouble elem;
    };

    /*! @_nodoc */
    struct S_Ptr {
	Ptr elem;
    };

    /*! @_nodoc */
    struct S_SizeT {
	SizeT elem;
    };

    /*! @_nodoc */
    struct S_Short {
	Short elem;
    };

    /*! @_nodoc */
    struct S_UShort {
	UShort elem;
    };

    /*! @_nodoc */
    struct S_String {
	String elem;
    };

    /*! @_nodoc */
    struct S_VaList {
	VaList elem;
    };

}
/*
 *  @(#) xdc.rov.support; 1, 0, 0,0; 11-8-2017 17:11:15; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */

